html, body {
    background-color: var(--color-background-light-xllll);
}

/* Zoom Thumbnails */
.zoom-thumbnails-modal {
    width: calc(100% - 4rem);
    height: calc(100% - 4rem);
    background-color: white;
    top: 0rem;
    left: 0rem;
    right: 0rem;
    bottom: 0rem;
    margin: auto;
}
.zoom-thumbnails-modal .popup-content {
    width: 100%;
    height: 90%;
}
.zoom-thumbnails-modal .popup-content .zoom-thumbnails-swiper {
    height: 100%;
}
.zoom-thumbnails-modal .popup-content .zoom-thumbnails-swiper .swiper-slide img {
    height: 100%;
    display: block;
    margin-left: auto;
    margin-right: auto;
    cursor: zoom-in;
}
.zoom-thumbnails-modal .popup-content .zoom-thumbnails-swiper .icon-btn {
    width: 1.5rem;
    height: 1.5rem;
    background-color: white;
    border-radius: 50%;
    border-style: solid;
    border-color: var(--color-border);
    border-width: 0.1rem;
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    top: 0rem;
    bottom: 0rem;
    margin: auto;
    z-index: 2;
    font-size: 1.5rem;
    color: rgb(124, 124, 124);
    cursor: pointer;
}
.zoom-thumbnails-modal .popup-content .zoom-thumbnails-swiper .icon-btn.left {
    left: 1rem;
}
.zoom-thumbnails-modal .popup-content .zoom-thumbnails-swiper .icon-btn.right {
    right: 1rem;
}
/* Clinical Studies */
.clinical-studies-modal {
    width: 30rem;
}
.clinical-studies-modal .popup-title {
    margin-bottom: 1rem;
}
.clinical-studies-modal .popup-content {
}
.clinical-studies-modal .popup-content .studies-wrapper {
    padding: 1rem;
    border-left-style: solid;
    border-left-width: 0.2rem;
    border-left-color: var(--color-primary);
    background-color: var(--color-background-light-xlll);
}
.clinical-studies-modal .popup-content .studies-wrapper .study-title {
    font-weight: 600;
    color: var(--color-text-tertiary);
    margin-top: 0rem;
    display: block;
}
/* Certifications */
.certifications-modal {
    width: 30rem;
}
.certifications-modal .popup-content {

}
.certifications-modal .popup-content {
}
.certifications-modal .popup-content .file-wrapper {
    padding: 1rem;
    border-left-style: solid;
    border-left-width: 0.2rem;
    border-left-color: var(--color-primary);
    background-color: var(--color-background-light-xlll);
}
.certifications-modal .popup-content .file-wrapper .file-title {
    font-weight: 600;
    color: var(--color-text-tertiary);
    margin-top: 0rem;
    display: block;
}

/* Shimmer */
.shimmer-001 {
    height: 30rem;
    margin-bottom: 0.5rem;
}
.shimmer-002 {
    height: 2rem;
}
.shimmer-003 {
    height: 2rem;
}
.shimmer-003 {
    height: 2rem;
    margin-bottom: 0.5rem;
}
.shimmer-004 {
    height: 4rem;
    margin-bottom: 0.5rem;
}
.shimmer-005 {
    height: 8rem;
    margin-bottom: 0.5rem;
}
.shimmer-006 {
    height: 1.5rem;
    margin-bottom: 0.5rem;
}
.shimmer-007 {
    height: 1.7rem;
    margin-bottom: 0.5rem;
}
.shimmer-008 {
    height: 9rem;
    margin-bottom: 0.5rem;
}

/* Wrapper */
.top-wrapper {
    width: 100%;
    display: flex;
    justify-content: center;
    gap: 2rem;
}

.top-wrapper .left-wrapper {
    width: calc(60% - 0.667rem);
}
.top-wrapper .middle-wrapper {
    width: calc(36% - 0.667rem);
    position: sticky;
    top: 0rem;
}

/* Left Wrapper */

/* Thumbnail Slider */
.top-wrapper .left-wrapper .slider-thumbnail-wrapper {
    position: sticky;
    top: 1rem;
    display: none;
}
.top-wrapper .left-wrapper .slider-thumbnail-wrapper .slide-wrapper {
    width: 100%;
    position: relative;
}
.top-wrapper .left-wrapper .slider-thumbnail-wrapper .slide-wrapper .swiper-slide {
    cursor: pointer;
}
.top-wrapper .left-wrapper .slider-thumbnail-wrapper .slide-wrapper .swiper-slide img {
    width: 100%;
    display: block;
    margin-left: auto;
    margin-right: auto;
}
.top-wrapper .left-wrapper .slider-thumbnail-wrapper .slide-wrapper .icon-swiper {
    width: 2rem;
    height: 2rem;
    background-color: white;
    border-radius: 50%;
    border-style: solid;
    border-color: var(--color-border);
    border-width: 0.1rem;
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    top: 0rem;
    bottom: 0rem;
    margin: auto;
    z-index: 2;
    font-size: 1.5rem;
    color: rgb(124, 124, 124);
    cursor: pointer;
}
.top-wrapper .left-wrapper .slider-thumbnail-wrapper .slide-wrapper .icon-swiper.left {
    left: 1rem;
}
.top-wrapper .left-wrapper .slider-thumbnail-wrapper .slide-wrapper .icon-swiper.right {
    right: 1rem;
}

.top-wrapper .left-wrapper .slider-thumbnail-wrapper .slide-wrapper .thumbnail-icon {
    width: 3rem;
    height: 3rem;
    background-color: white;
    color: rgb(124, 124, 124);
    position: absolute;
    right: 1rem;
    top: 1rem;
    margin: auto;
    z-index: 2;
    border-radius: 50%;
    border-style: solid;
    border-color: var(--color-border);
    border-width: 0.1rem;
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1.2rem;
    cursor: pointer;
}

/* Thumbnail Square */
.top-wrapper .left-wrapper .thumbnail-square-wrapper {
    display: flex;
    justify-content: start;
    align-items: start;
    flex-wrap: wrap;
    gap: 0.5rem;
}
.top-wrapper .left-wrapper .thumbnail-square-wrapper .thumbnail {
    width: calc(100% / 2 - 0.25rem); /* or any responsive width you want */
    aspect-ratio: 1 / 1;        /* ensures square shape */
    background-size: cover;
    background-position: center;
    background-color: var(--color-background-light-xlll);
    cursor: pointer;
    overflow: hidden;
    transition: 0.2s;
}
.top-wrapper .left-wrapper .thumbnail-square-wrapper .thumbnail img {
    width: 100%;
    height: 100%;
}

.top-wrapper .left-wrapper .thumbnail-square-wrapper .thumbnail:hover {
    opacity: 0.8;
}

/* Middle Wrapper */
.top-wrapper .middle-wrapper .product-details-sticky {
    position: sticky;
    top: 7rem;
}

/* Title*/
.top-wrapper .middle-wrapper .title {
    font-size: 2rem;
    font-weight: 500;
    line-height: 2.5rem;
}

/* Top Reviews Wrapper */
.top-wrapper .middle-wrapper .top-reviews-wrapper {
    display: flex;
    justify-content: start;
    align-items: center;
    margin-top: 0.35rem;
    margin-bottom: 0.35rem;
    gap: 0.02rem;
    cursor: pointer;
    color: var(--color-primary);
}
.top-wrapper .middle-wrapper .top-reviews-wrapper {
}
.top-wrapper .middle-wrapper .top-reviews-wrapper .text {
    font-size: 0.8rem;
    font-weight: 600;
}

/* Seperator */
.top-wrapper .middle-wrapper .seperator {
    width: 100%;
    height: 0.1rem;
    background-color: rgba(197, 197, 197, 0.3);
}

/* Tags Wrapper */
.top-wrapper .middle-wrapper .benefits-wrapper {
    display: flex;
    justify-content: start;
    align-items: center;
    gap: 0.45rem;
    flex-wrap: wrap;
}
.top-wrapper .middle-wrapper .benefits-wrapper .benefits {
    font-size: 0.8rem;
    font-weight: 600;
    padding: 0.35rem;
    border-left-style: solid;
    border-left-width: 0.15rem;
    border-left-color: var(--color-primary);
    background-color: var(--color-background-light-xll);
}

/* Description */
.top-wrapper .middle-wrapper .short-description {
    line-height: 1.6rem;
    font-size: 1rem;
    font-weight: 400;
}

/* Additional Information Links */
.top-wrapper .middle-wrapper .additional-information-links {
    display: flex;
    justify-content: start;
    align-items: center;
    gap: 0.75rem;
    flex-wrap: wrap;
    font-size: 0.8rem;
    font-weight: 600;
}

/* Add to Cart */
.top-wrapper .middle-wrapper .add-to-cart-wrapper {
    border-style: solid;
    border-width: 0.1rem;
    border-radius: var(--radius-lg);
    border-color: rgb(235, 235, 235);
    background-color: var(--color-secondary);
}

.top-wrapper .middle-wrapper .add-to-cart-content {
    padding: 1rem;
}

/* Price Wrapper */
.top-wrapper .middle-wrapper .add-to-cart-content .price-wrapper {
}
.top-wrapper .middle-wrapper .add-to-cart-content .price-wrapper .sale-price {
    font-weight: 700;
    font-size: 1.25rem;
    display: block;
}
.top-wrapper .middle-wrapper .add-to-cart-content .price-wrapper .mrp {
    font-weight: 700;
    font-size: 0.8rem;
    display: block;
    margin-top: 0.3rem;
    color: rgb(145, 145, 145);
}
.top-wrapper .middle-wrapper .add-to-cart-content .price-wrapper .mrp .strikethrough {
    text-decoration: line-through;
}
.top-wrapper .middle-wrapper .add-to-cart-content .price-wrapper .inclusive-tax-text {
    font-weight: 500;
    font-size: 0.8rem;
    display: block;
    margin-top: 0.3rem;
}

/* Seperator */
.top-wrapper .middle-wrapper .add-to-cart-content .seperator {
    width: 100%;
    height: 0.1rem;
    background-color: var(--color-border);
}

/* Add to Cart Flex */
.top-wrapper .middle-wrapper .input-group .quantity {
    width: calc(20% - 0.5rem);
}
.top-wrapper .middle-wrapper .input-group .add-to-cart-btn {
    width: calc(80% - 0.5rem);
}
/* Add to Cart Wrapper -- MOBILE Ends */

/*
* Ratings & Reviews
*/
.overlay.ratings-reviews {
    display: none;
}
.popup-modal.ratings-reviews-modal {
    display: none;
    width: 25rem; 
}

.popup-modal.ratings-reviews-modal .no-reviews-found {
    padding-top: 1rem;
    padding-bottom: 1rem;
}
.popup-modal.ratings-reviews-modal .no-reviews-found .icon {
    font-size: 2rem;
    display: block;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
    color: var(--color-text-tertiary);
}
.popup-modal.ratings-reviews-modal .no-reviews-found .no-reviews-found-text {
    font-size: 1.5rem;
    display: block;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
    margin-top: 0.5rem;
    color: var(--color-text-tertiary);
}

.popup-modal.ratings-reviews-modal .avg-rating-wrapper {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.popup-modal.ratings-reviews-modal .avg-rating-wrapper .avg-rating-left-wrapper {
    display: flex;
    justify-content: start;
    align-items: center;
}
.popup-modal.ratings-reviews-modal .avg-rating-wrapper .avg-rating-left-wrapper .avg-rating-value {
    font-size: 1.8rem;
}
.popup-modal.ratings-reviews-modal .avg-rating-wrapper .avg-rating-left-wrapper .avg-rating-icons {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 0rem;
    font-size: 1.2rem;
}
.popup-modal.ratings-reviews-modal .avg-rating-wrapper .avg-rating-right-wrapper .avg-rating-total {
    font-size: 1em;
}

.popup-modal.ratings-reviews-modal .avg-rating-progress-bar-wrapper {
}
.popup-modal.ratings-reviews-modal .avg-rating-progress-bar-wrapper .avg-rating-progress-bar-row {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}
.popup-modal.ratings-reviews-modal .avg-rating-progress-bar-wrapper .avg-rating-progress-bar-row .avg-rating-count {
    width: calc(10% - 0.5rem);
    display: flex;
    justify-content: end;
    padding-right: 0.5rem;
    align-items: center;
    gap: 0.25rem;
}
.popup-modal.ratings-reviews-modal .avg-rating-progress-bar-wrapper .avg-rating-progress-bar-row .avg-rating-count .avg-rating-star-value {
    font-weight: 600;
}
.popup-modal.ratings-reviews-modal .avg-rating-progress-bar-wrapper .avg-rating-progress-bar-row .avg-rating-count .avg-rating-star-icon {
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 0.7rem;
}

.popup-modal.ratings-reviews-modal .avg-rating-progress-bar-wrapper .avg-rating-progress-bar-row .avg-rating-progress-bar {
    width: 90%;
    height: 0.3rem;
    background-color: var(--color-background-light-xll);
}
.popup-modal.ratings-reviews-modal .avg-rating-progress-bar-wrapper .avg-rating-progress-bar-row .avg-rating-progress-bar .avg-rating-progress {
    width: 0%;
    height: 100%;
    background-color: var(--color-primary);
}

.popup-modal.ratings-reviews-modal .verified-rating-text {
    font-weight: 500;
    font-size: 0.9rem;
    color: var(--color-text);
}
.popup-modal.ratings-reviews-modal .verified-rating-text strong {
    color: var(--color-primary);
}

.popup-modal.ratings-reviews-modal .seperator {
    width: 100%;
    height: 0.15rem;
    background-color: var(--color-border);
}

.popup-modal.ratings-reviews-modal .ratings-wrapper {
    max-height: 38rem; /* adjust as needed */
    overflow-y: auto;
    padding-right: 0.5rem; /* optional: space for scrollbar */
}
.popup-modal.ratings-reviews-modal .ratings-wrapper .ratings-top-row {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.popup-modal.ratings-reviews-modal .ratings-wrapper .ratings-top-row .ratings-icons {
    font-size: 1.5rem;
    color: var(--color-primary);
}
.popup-modal.ratings-reviews-modal .ratings-wrapper .ratings-top-row .ratings-date {
    font-size: 0.9rem;
    font-weight: 500;
    color: var(--color-text-tertiary);
}

.popup-modal.ratings-reviews-modal .ratings-wrapper .rating-title {
    font-weight: 800;
    display: block;
}
.popup-modal.ratings-reviews-modal .ratings-wrapper .rating-description {
    font-weight: 400;
    display: block;
}

.popup-modal.ratings-reviews-modal .ratings-wrapper .rating-original {
    color: var(--color-text-tertiary);
    font-weight: 600;
    font-size: 0.8rem;
    display: block;
}

.popup-modal.ratings-reviews-modal .ratings-wrapper .rating-user {
    color: var(--color-primary);
    font-weight: 800;
    font-size: 1rem;
    display: block;
}

.popup-modal.ratings-reviews-modal .ratings-wrapper .ratings-row {
    padding-top: 1rem;
    padding-bottom: 1rem;
    border-bottom-style: solid;
    border-bottom-width: 0.15rem;
    border-bottom-color: var(--color-border);
}

@media screen and (min-width: 0px) and (max-width: 600px) {

    .top-wrapper {
        flex-wrap: wrap;
    }

    /* LEFT WRAPPER */
    .top-wrapper .left-wrapper {
        width: 100%;
    }

    /* MIDDLE WRAPPER */
    .top-wrapper .middle-wrapper {
        width: 100%;
    }
    
    /* SHOW THUMBNAIL SLIDER IN MOBILE & TABS */
    .top-wrapper .left-wrapper .slider-thumbnail-wrapper {
        display: block;
    }

    .top-wrapper .left-wrapper .thumbnail-square-wrapper {
        display: none;
    }
    
}

@media screen and (min-width: 601px) and (max-width: 850px) {

    .top-wrapper {
        flex-wrap: wrap;
    }

    .top-wrapper .left-wrapper {
        width: 100%;
    }
    .top-wrapper .middle-wrapper {
        width: 100%;
    }
    .top-wrapper .right-wrapper {
        width: 0%;
    }
    
    /* SHOW THUMBNAIL SLIDER IN MOBILE & TABS */
    .top-wrapper .left-wrapper .slider-thumbnail-wrapper {
        display: block;
    }

    .top-wrapper .left-wrapper .thumbnail-square-wrapper {
        display: none;
    }

}